#
# spec file for package python3-gnusocial
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%define _name   gnusocial
Name:           python3-gnusocial
Version:        1.0.1
Release:        1.6
Summary:        GNU social API for Python
License:        GPL-3.0+
Group:          Development/Languages/Python
Url:            https://gitgud.io/dtluna/pygnusocial
Source:         https://files.pythonhosted.org/packages/source/g/%{_name}/%{_name}-%{version}.zip
Source1:        COPYING.txt
BuildRequires:  python3
BuildRequires:  python3-setuptools
BuildRequires:  unzip
Requires:       python3-requests
Requires:       python3-xml
BuildArch:      noarch

%description
Python module for interacting with the GNU social federated network.

%prep
%setup -q -n %{_name}-%{version}
sed -i 's/\r$//' README.rst
cp -f %{SOURCE1} COPYING

%build
python3 setup.py build

%install
python3 setup.py install \
  --root=%{buildroot} --prefix=%{_prefix}

%files
%defattr(-,root,root)
%doc COPYING README.rst
%{python3_sitelib}/%{_name}/
%{python3_sitelib}/%{_name}-*

%changelog
* Tue Aug  2 2016 sor.alexei@meowr.ru
- Initial package.
